--- title: "setNetworkAclDenyAllowGroupIpList" slug: "networking-vpc-networkacl-setnetworkacldenyallowgroupiplist" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-networkacl-setnetworkacldenyallowgroupiplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # setNetworkAclDenyAllowGroupIpList Available in VPC Set the IP list for a network ACL Deny-Allow group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/setNetworkAclDenyAllowGroupIpList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the network ACL Deny-Allow group whose IP list you want to set - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `networkAclDenyAllowGroupNo` | String | Required | Network ACL Deny-Allow group number whose IP list you want to set - See [getNetworkAclDenyAllowGroupList](/docs/en/networking-vpc-networkacl-getnetworkacldenyallowgrouplist). | | `ipList.N` | List[String] | Optional | IP address to register in the network ACL Deny-Allow group - Up to 100 IPs can be registered, with no duplicate IP addresses allowed. - Within the same VPC, you can register up to 8 duplicate IP addresses. - Example: ipList.1=10.0.0.1&ipList.2=10.0.0.2 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/setNetworkAclDenyAllowGroupIpList ?regionCode=KR &networkAclDenyAllowGroupNo=***40 &ipList.1=10.0.0.1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [NetworkAclDenyAllowGroupList](/docs/en/common-vapidatatype-networkacldenyallowgrouplist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 84a4afa8-78aa-43b6-9a15-2bc25c3a7e7c 0 success 1 ***40 test-*** RUN run ***04 10.0.0.1 2021-01-25T19:40:48+0900 false ```